## qtlocation-opensource-src 5.4.2

=== debian/changelog ===
qtlocation-opensource-src (5.4.2-1ubuntu2) wily; urgency=medium

  * Rebuild for GCC5 transition.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 14 Jul 2015 14:59:53 +0300

qtlocation-opensource-src (5.4.2-1ubuntu1) wily; urgency=medium

  * New upstream release.
  * Rename Debian's qtpositioning5-doc-html.links to 
    qtlocation5-doc-html.links

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 13:54:39 +0000

qtlocation-opensource-src (5.4.2-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Expose HTML documentation (Closes: #751179).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 16:20:36 -0300

qtlocation-opensource-src (5.4.1-1ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Merge with Debian, remaining changes:
    - Build the unreleased Qt Location module 
    - Keep the examples/dbg/doc packages named "qtlocation" as per upstream
    - debian/patches/appSpecificTileCache.diff
    - Different test enablement
    - Keep certain transitions until 16.04 LTS

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 07:05:43 +0000

qtlocation-opensource-src (5.4.0-1ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Drop qt3d dependency, not needed anymore in Qt 5.4
  * Bump dependencies.
  * Update symbols.
  * Merge with Debian, remaining changes:
    - Build the unreleased Qt Location module 
    - Keep the examples/dbg/doc packages named "qtlocation" as per upstream
    - debian/patches/appSpecificTileCache.diff
    - Different test enablement
    - Keep certain transitions until 16.04 LTS

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:46:54 +0000

qtlocation-opensource-src (5.3.2-2ubuntu1) vivid; urgency=medium

  * New upstream release
  * Merge with Debian 5.3.2-2, remaining changes:
    - Build the unreleased Qt Location module 
    - Keep the main packages named "qtlocation" as per upstream
    - debian/patches/appSpecificTileCache.diff
    - Different test enablement

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 28 Oct 2014 09:43:44 +0000
