## qtlocation-opensource-src 5.5.1

=== debian/changelog ===
qtlocation-opensource-src (5.5.1-3ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Update .install files.
  * Update symbols from build logs.
  * Rebase debian/patches/appSpecificTileCache.diff.
  * Skip qmlinterface tests since they fail to use the module.
  * Build depend on libqt5xcbqpa5 to be able to run tests under xvfb.
  * Bump build deps.
  * Replace appSpecificTileCache.diff with two upstream patches:
    - Check-if-GenericCacheLocation-is-writable-before-tru.patch
    - Isolate-the-default-cache-directory.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 12:48:15 +0000

qtlocation-opensource-src (5.5.1-4) UNRELEASED; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make qtlocation5-examples depend upon qml-module-qtlocation, required by some
    examples.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 24 Oct 2015 13:19:16 -0300

qtlocation-opensource-src (5.5.1-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add empty override_dh_auto_test-indep target, so that tests are really
    not run during arch-indep builds.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 19:16:00 -0300

qtlocation-opensource-src (5.5.1-2) experimental; urgency=medium

  * Only run test when building arch-dependant packages. The arch: all
    packages are just doc (Closes: #802344).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 19 Oct 2015 15:56:30 -0300

qtlocation-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.5.1.

 -- Timo Jyrinki <timo@debian.org>  Mon, 19 Oct 2015 11:22:42 +0000

qtlocation-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Rename the -doc, -dbg and -examples packages to match the source package
    name, for consistency with other Qt 5 modules.
  * Build new packages for qtlocation module.
  * Drop disable_qtlocation.patch.
  * Update install files for the new release.
  * Bump Qt build-dependencies to 5.5.0.
  * Update debian/copyright.
  * Disable some failing tests for location module.
  * Update symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Aug 2015 22:46:28 +0300

qtlocation-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2015 16:02:32 -0300
