=== debian/control ===
--- 
+++ 
@@ -14,20 +14,20 @@
                geoclue-nominatim,
                libgconf2-dev,
                libgeoclue-dev,
-               libqt5opengl5-dev (>= 5.4.2+dfsg~),
+               libqt5opengl5-dev (>= 5.5.1+dfsg~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.4.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.4.2~),
-               qml-module-qtquick2 (>= 5.4.2~),
+               qtbase5-private-dev (>= 5.5.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.5.1~),
+               qml-module-qtquick2 (>= 5.5.1~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.2+dfsg~),
-                     qtbase5-doc-html (>= 5.4.2+dfsg~),
-                     qttools5-dev-tools (>= 5.4.2~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.5.1+dfsg~),
+                     qtbase5-doc-html (>= 5.5.1+dfsg~),
+                     qttools5-dev-tools (>= 5.5.1~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
-Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/qtlocation-opensource-src
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtlocation-opensource-src
+Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtlocation.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtlocation.git
 
 Package: libqt5location5
 Architecture: any
@@ -98,7 +98,7 @@
          ${shlibs:Depends},
 Breaks: qtdeclarative5-qtlocation-plugin (<< 5.3.2-2~)
 Replaces: qtdeclarative5-qtlocation-plugin (<< 5.3.2-2~)
-Description: Qt Location module - QML plugin
+Description: Qt Location QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
@@ -167,13 +167,27 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt5location5-plugins (= ${binary:Version}),
          libqt5positioning5-plugins (= ${binary:Version}),
+         qml-module-qtlocation (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: qtpositioning5-examples (<< 5.5.0~)
+Replaces: qtpositioning5-examples (<< 5.5.0~)
 Description: Qt 5 Location and Positioning examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains Qt 5 Location and Positioning examples.
+
+Package: qtpositioning5-examples
+Priority: extra
+Architecture: all
+Section: oldlibs
+Depends: qtlocation5-examples, ${misc:Depends}
+Description: transitional dummy package for qtlocation5-examples
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package which can be safely removed.
 
 Package: qtlocation5-dbg
 Priority: extra
@@ -184,6 +198,8 @@
          libqt5positioning5 (= ${binary:Version}),
          ${misc:Depends}
 Recommends: qtbase5-dbg, qtdeclarative5-dbg
+Breaks: qtpositioning5-dbg (<< 5.5.0~)
+Replaces: qtpositioning5-dbg (<< 5.5.0~)
 Description: Qt Location library debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -191,11 +207,24 @@
  This package contains the debugging symbols for the Qt 5 Location
  and Positioning libraries.
 
+Package: qtpositioning5-dbg
+Priority: extra
+Architecture: all
+Section: oldlibs
+Depends: qtlocation5-dbg, ${misc:Depends}
+Description: transitional dummy package for qtlocation5-dbg
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package which can be safely removed.
+
 Package: qtlocation5-doc
 Priority: extra
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Breaks: qtpositioning5-doc (<< 5.5.0~)
+Replaces: qtpositioning5-doc (<< 5.5.0~)
 Description: Qt 5 Positioning documentation
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -203,14 +232,38 @@
  This package contains the documentation for the Qt 5 Positioning
  library and binaries.
 
+Package: qtpositioning5-doc
+Priority: extra
+Architecture: all
+Section: oldlibs
+Depends: qtlocation5-doc, ${misc:Depends}
+Description: transitional dummy package for qtlocation5-doc
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package which can be safely removed.
+
 Package: qtlocation5-doc-html
 Priority: extra
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Breaks: qtpositioning5-doc-html (<< 5.5.0~)
+Replaces: qtpositioning5-doc-html (<< 5.5.0~)
 Description: Qt 5 Positioning HTML documentation
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the HTML documentation for the Qt 5 Positioning
  libraries and binaries.
+
+Package: qtpositioning5-doc-html
+Priority: extra
+Architecture: all
+Section: oldlibs
+Depends: qtlocation5-doc-html, ${misc:Depends}
+Description: transitional dummy package for qtlocation5-doc-html
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package which can be safely removed.
