## qtlocation-opensource-src 5.6.1

=== debian/changelog ===
qtlocation-opensource-src (5.6.1-2ubuntu1~1) yakkety; urgency=medium

  * New upstream release. (LP: #1202917)
  * Drop patches merged to Qt 5.6:
    - debian/patches/Isolate-the-default-cache-directory.patch
    - debian/patches/Check-if-GenericCacheLocation-is-writable-before-tru.patch
  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 01 Feb 2016 07:38:59 +0000

qtlocation-opensource-src (5.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 11:01:43 -0300

qtlocation-opensource-src (5.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Remove libgconf2-dev from build dependencies. It was used for the gipsy
    plugin, which is long go.
  * Update install files, one example was removed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 11 Jun 2016 22:24:09 -0300

qtlocation-opensource-src (5.6.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Make qtlocation5-examples depend on qml-module-qtpositioning.
  * Make libqt5positioning5 recommend geoclue-2.0. It will connect to it by
    using dbus.

  [ Dmitry Shachnev ]
  * Use recommended https URIs for Vcs fields.
  * Simplify the command for running the tests.
  * Install the GeoClue plugin again.
  * Update symbols files for 5.6.0.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Drop debian/copyright entries for removed code.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 30 Mar 2016 23:38:01 +0200

qtlocation-opensource-src (5.5.1-4) unstable; urgency=medium

  * Make qtlocation5-examples depend upon qml-module-qtlocation, required by some
    examples.
  * Remove GeoClue support (Closes: #788108). The code has not switched to
    GeoClue 2. On Qt 5.6 it seems to use DBus to connect to GeoClue, so this
    feature should come back soon.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Mar 2016 23:29:49 -0300

qtlocation-opensource-src (5.5.1-3ubuntu3) yakkety; urgency=medium

  * Rebuild for arm64 gles switch.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 23 May 2016 06:38:44 +0000

qtlocation-opensource-src (5.5.1-3ubuntu2) xenial; urgency=medium

  * debian/patches/backport_qt_56_osm_backend.patch:
    - Backport OpenStreetMap backend changes from Qt 5.6. (LP: #1568439)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 25 Apr 2016 11:33:49 +0000
