=== debian/control ===
--- 
+++ 
@@ -8,26 +8,20 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: dbus,
                debhelper (>= 9.0.0),
-               geoclue,
-               geoclue-hostip,
-               geoclue-localnet,
-               geoclue-nominatim,
-               libgconf2-dev,
-               libgeoclue-dev,
-               libqt5opengl5-dev (>= 5.5.1+dfsg~),
+               libqt5opengl5-dev (>= 5.6.1+dfsg~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.5.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.5.1~),
-               qml-module-qtquick2 (>= 5.5.1~),
+               qml-module-qtquick2 (>= 5.6.1~),
+               qtbase5-private-dev (>= 5.6.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.6.1~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.5.1+dfsg~),
-                     qtbase5-doc-html (>= 5.5.1+dfsg~),
-                     qttools5-dev-tools (>= 5.5.1~)
-Standards-Version: 3.9.6
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1+dfsg~),
+                     qtbase5-doc-html (>= 5.6.1+dfsg~),
+                     qttools5-dev-tools (>= 5.6.1~)
+Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtlocation.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtlocation.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtlocation.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtlocation.git
 
 Package: libqt5location5
 Architecture: any
@@ -45,6 +39,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: geoclue-2.0
 Description: Qt Positioning module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -168,6 +163,7 @@
 Depends: libqt5location5-plugins (= ${binary:Version}),
          libqt5positioning5-plugins (= ${binary:Version}),
          qml-module-qtlocation (= ${binary:Version}),
+         qml-module-qtpositioning (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: qtpositioning5-examples (<< 5.5.0~)
