=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,7 @@
 override_dh_auto_test-arch:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	xvfb-run -a -s '-screen 0 640x480x24' dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
+	#dbus-run-session -- dh_auto_test -- QT_QPA_PLATFORM=minimal
 endif
 
 override_dh_auto_test-indep:
