=== debian/control ===
--- 
+++ 
@@ -1,23 +1,19 @@
 Source: qtlocation-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Timo Jyrinki <timo@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: dbus,
-               debhelper (>= 9.0.0),
-               libqt5opengl5-dev (>= 5.6.1+dfsg~),
+               debhelper (>= 9.20160114~),
+               libqt5opengl5-dev (>= 5.7.1+dfsg~),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.6.1~),
-               qtbase5-private-dev (>= 5.6.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.6.1~),
-               xauth,
-               xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1+dfsg~),
-                     qtbase5-doc-html (>= 5.6.1+dfsg~),
-                     qttools5-dev-tools (>= 5.6.1~)
+               qtbase5-private-dev (>= 5.7.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.7.1~20161021~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1+dfsg~),
+                     qtbase5-doc-html (>= 5.7.1+dfsg~),
+                     qttools5-dev-tools (>= 5.7.1~20161021~)
 Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtlocation.git
@@ -50,8 +46,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libqt5location5 (<= 5.0~git20130117-0ubuntu2),
-Depends: libqt5location5 (= ${binary:Version}) | libqt5location5-gles,
+Depends: libqt5location5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Qt Location module - geolocation plugins
@@ -64,7 +59,6 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libqt5location5-plugins (<= 5.0~git20130805-0ubuntu4),
 Depends: libqt5positioning5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -74,49 +68,27 @@
  .
  This package contains Qt Positioning plugins.
 
-Package: qtdeclarative5-qtlocation-plugin
-Architecture: all
-Section: oldlibs
-Depends: qml-module-qtlocation, ${misc:Depends}
-Description: transitional dummy package for Qt Location QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
-
 Package: qml-module-qtlocation
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libqt5location5-plugins,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: qtdeclarative5-qtlocation-plugin (<< 5.3.2-2~)
-Replaces: qtdeclarative5-qtlocation-plugin (<< 5.3.2-2~)
+Depends: libqt5location5-plugins (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Qt Location QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the Qt Location QML plugin for Qt Declarative.
 
-Package: qtdeclarative5-qtpositioning-plugin
-Architecture: all
-Section: oldlibs
-Depends: qml-module-qtpositioning, ${misc:Depends}
-Description: transitional dummy package for Qt Positioning QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
-
 Package: qml-module-qtpositioning
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libqt5positioning5-plugins, ${misc:Depends}, ${shlibs:Depends}
-Breaks: qtdeclarative5-qtpositioning-plugin (<< 5.3.2-2~)
-Replaces: qtdeclarative5-qtpositioning-plugin (<< 5.3.2-2~)
-Description: Qt Positioning module - QML plugin
+Depends: libqt5positioning5-plugins (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Qt Positioning QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
@@ -129,7 +101,6 @@
          libqt5location5-plugins (= ${binary:Version}),
          qtbase5-dev,
          qtdeclarative5-dev,
-         qtpositioning5-dev,
          ${misc:Depends}
 Description: Qt 5 Location development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -140,14 +111,13 @@
 
 Package: qtpositioning5-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libqt5positioning5 (= ${binary:Version}),
          libqt5positioning5-plugins (= ${binary:Version}),
          qtbase5-dev,
          qtdeclarative5-dev,
          ${misc:Depends}
-Breaks: qtlocation5-dev (<< 5.2.1-0ubuntu2~)
-Replaces: qtlocation5-dev (<< 5.2.1-0ubuntu2~)
 Description: Qt 5 Positioning development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -180,35 +150,6 @@
 Section: oldlibs
 Depends: qtlocation5-examples, ${misc:Depends}
 Description: transitional dummy package for qtlocation5-examples
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
-
-Package: qtlocation5-dbg
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends: libqt5location5 (= ${binary:Version}),
-         libqt5positioning5 (= ${binary:Version}),
-         ${misc:Depends}
-Recommends: qtbase5-dbg, qtdeclarative5-dbg
-Breaks: qtpositioning5-dbg (<< 5.5.0~)
-Replaces: qtpositioning5-dbg (<< 5.5.0~)
-Description: Qt Location library debugging symbols
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the debugging symbols for the Qt 5 Location
- and Positioning libraries.
-
-Package: qtpositioning5-dbg
-Priority: extra
-Architecture: all
-Section: oldlibs
-Depends: qtlocation5-dbg, ${misc:Depends}
-Description: transitional dummy package for qtlocation5-dbg
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
