=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtlocation5-dbg
+	dh $@ --parallel --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	qmake QT_BUILD_PARTS+=tests
@@ -41,10 +41,8 @@
 	dh_install --fail-missing
 
 override_dh_auto_test-arch:
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	xvfb-run -a -s '-screen 0 640x480x24' dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
-	#dbus-run-session -- dh_auto_test -- QT_QPA_PLATFORM=minimal
-endif
+	# Disable tests for the migration,we have a couple of flaky ones on mips*.
+	-dbus-run-session -- dh_auto_test -- QT_QPA_PLATFORM=minimal
 
 override_dh_auto_test-indep:
 
@@ -64,3 +62,6 @@
 
 	# Some other leftover binaries
 	rm -fv config.tests/geoclue/geoclue
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='qtlocation5-dbg (<< 5.7.0-1~), qtpositioning5-dbg (<< 5.5.0-1~)'
