## qtlocation-opensource-src 5.9.1+dfsg

=== debian/changelog ===
qtlocation-opensource-src (5.9.1+dfsg-2) unstable; urgency=medium

  * Release to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 11:41:44 -0300

qtlocation-opensource-src (5.9.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.1.
  * Refresh disable_failing_tests.patch.
  * Drop the transitional packages. They are already transitional in
    the current Debian stable and Ubuntu LTS releases.
  * Update libqt5location5.symbols from the current build log.
  * Run all tests in Xvfb, drop disable_failing_tests.patch.
    - Add build-dependencies on xauth, xvfb and qml-module-qttest.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Simplify and speed up get-orig-source code by using pipes.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 04 Jul 2017 00:25:47 +0300

qtlocation-opensource-src (5.9.0+dfsg-2) experimental; urgency=medium

  * Drop fix_qtdeclarative_private_code.patch, it was only needed with
    qtdeclarative 5.9.0 beta 3.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 20 Jun 2017 13:31:29 +0300

qtlocation-opensource-src (5.9.0+dfsg-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
  * Add myself to Uploaders.
  * Add libicu-dev and zlib1g-dev to build dependencies as they are now
    used by upstream.
  * Install new upstream files.

  [ Dmitry Shachnev ]
  * Remove src/3rdparty/mapbox-gl-native from the tarball. It helps us
    reduce source size from 57M to 3.2M and solve many copyright issues.
    Because of #855464, use custom code in debian/rules to do that.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 16 Jun 2017 02:51:53 -0500
