=== debian/control ===
--- 
+++ 
@@ -4,17 +4,22 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Timo Jyrinki <timo@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: dbus,
-               debhelper (>= 9.20160114~),
-               libqt5opengl5-dev (>= 5.7.1+dfsg~),
+           Dmitry Shachnev <mitya57@debian.org>,
+           Simon Quigley <tsimonq2@ubuntu.com>
+Build-Depends: debhelper (>= 9.20160114~),
+               libicu-dev,
+               libqt5opengl5-dev (>= 5.9.1+dfsg~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.7.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.7.1~20161021~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1+dfsg~),
-                     qtbase5-doc-html (>= 5.7.1+dfsg~),
-                     qttools5-dev-tools (>= 5.7.1~20161021~)
-Standards-Version: 3.9.8
+               qml-module-qttest (>= 5.9.1~),
+               qtbase5-private-dev (>= 5.9.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.9.1~),
+               xauth,
+               xvfb,
+               zlib1g-dev
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1+dfsg~),
+                     qtbase5-doc-html (>= 5.9.1+dfsg~),
+                     qttools5-dev-tools (>= 5.9.1~)
+Standards-Version: 4.0.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtlocation.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtlocation.git
@@ -144,17 +149,6 @@
  .
  This package contains Qt 5 Location and Positioning examples.
 
-Package: qtpositioning5-examples
-Priority: extra
-Architecture: all
-Section: oldlibs
-Depends: qtlocation5-examples, ${misc:Depends}
-Description: transitional dummy package for qtlocation5-examples
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
-
 Package: qtlocation5-doc
 Priority: extra
 Architecture: all
@@ -169,17 +163,6 @@
  This package contains the documentation for the Qt 5 Positioning
  library and binaries.
 
-Package: qtpositioning5-doc
-Priority: extra
-Architecture: all
-Section: oldlibs
-Depends: qtlocation5-doc, ${misc:Depends}
-Description: transitional dummy package for qtlocation5-doc
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
-
 Package: qtlocation5-doc-html
 Priority: extra
 Architecture: all
@@ -193,14 +176,3 @@
  .
  This package contains the HTML documentation for the Qt 5 Positioning
  libraries and binaries.
-
-Package: qtpositioning5-doc-html
-Priority: extra
-Architecture: all
-Section: oldlibs
-Depends: qtlocation5-doc-html, ${misc:Depends}
-Description: transitional dummy package for qtlocation5-doc-html
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
